Package org.eclipse.emf.cdo.common.branch

## Class CDOBranchRef

- java.lang.Object
- - org.eclipse.emf.cdo.common.branch.CDOBranchRef

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class CDOBranchRef
      extends java.lang.Object
      implements java.io.Serializable

  References a `CDOBranch`.
  Since:
    4.10
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `CDOBranchRef.Provider` | Provides `branch references`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOBranchRef` | `MAIN` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOBranchRef​(java.lang.String branchPath)` |
    `CDOBranchRef​(CDOBranch branch)` |
    `CDOBranchRef​(CDODataInput in)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getBranchPath()` |
    `CDOBranchPointRef` | `getHeadRef()` |
    `CDOBranchPointRef` | `getPointRef​(long timeStamp)` |
    `int` | `hashCode()` |
    `boolean` | `isMainBranch()` |
    `CDOBranch` | `resolve​(CDOBranchManager branchManager)` |
    `java.lang.String` | `toString()` |
    `void` | `write​(CDODataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MAIN

          public static final CDOBranchRef MAIN

      Since:
        4.12

  - ### Constructor Detail

    - #### CDOBranchRef

          public CDOBranchRef​(CDOBranch branch)

    - #### CDOBranchRef

          public CDOBranchRef​(java.lang.String branchPath)

    - #### CDOBranchRef

          public CDOBranchRef​(CDODataInput in)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### write

          public void write​(CDODataOutput out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getBranchPath

          public java.lang.String getBranchPath()

    - #### isMainBranch

          public boolean isMainBranch()

    - #### getPointRef

          public CDOBranchPointRef getPointRef​(long timeStamp)

      Since:
        4.12

    - #### getHeadRef

          public CDOBranchPointRef getHeadRef()

      Since:
        4.12

    - #### resolve

          public CDOBranch resolve​(CDOBranchManager branchManager)

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`